Subject: Re: bug#75586: 31.0.50; Cannot bind <C-m> with keymap-global-set

From: Manuel Uberti <[email-masked]>
Date: Wed, 15 Jan 2025 19:32:15 +0100

On 15/01/25 18:56, Robert Pluim wrote:
> Itʼs not clear to me what youʼre trying to achieve, nor why you need
> to change `input-decode-map'. Does
> 
> (define-prefix-command 'mu-ctrl-m-map)
> (keymap-global-set "C-m" mu-ctrl-m-map)
> 
> not do the right thing?

I want C-m to be different from RET in order to use it a prefix for a
series of multiple-cursors key bindings. C-m is easy to remember when I
think of "m"ultiple-cursors, so to speak.

With you lines, C-m is still recognised as RET plus I lose the ability
to hit RET to create a new line.

-- 
Manuel Uberti
https://manueluberti.eu